pcaExplorer error displaying PCA plot
1
1
Entering edit mode
@swaegersjanne-11229
Last seen 4.8 years ago

Hi everyone,

When using pcaExplorer I keep on getting this error when I go to the tab 'Samples View'. The PCA plot is not displayed. I updated ggplot2 and ggrepel but the error stays...

Error: GeomLabelRepel was built with an incompatible version of ggproto. Please reinstall the package that provides this extension.

Does anyone know a solution?

Thanks a lot!

pcaExplorer pca • 871 views
ADD COMMENT
0
Entering edit mode

sessionInfo()
R version 3.3.2 (2016-10-31)
Platform: x86_64-apple-darwin13.4.0 (64-bit)
Running under: OS X Mavericks 10.9.5

locale:
[1] nl_BE.UTF-8/nl_BE.UTF-8/nl_BE.UTF-8/C/nl_BE.UTF-8/nl_BE.UTF-8

attached base packages:
[1] stats4    parallel  stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
 [1] ggrepel_0.6.3              ggplot2_2.2.0              shiny_0.14.2              
 [4] DESeq2_1.14.0              SummarizedExperiment_1.4.0 GenomicRanges_1.26.1      
 [7] GenomeInfoDb_1.10.1        IRanges_2.8.1              S4Vectors_0.12.0          
[10] pcaExplorer_2.0.0          Biobase_2.34.0             BiocGenerics_0.20.0       
[13] edgeR_3.16.2               limma_3.30.3               adegenet_2.0.1            
[16] ade4_1.7-4               

ADD REPLY
0
Entering edit mode
@federico-marini-6465
Last seen 5 months ago
Germany

Hi Janne,

it is very likely to be linked to a version of ggrepel VS version of ggplot2.

I have the 0.6.4 installed for ggrepel and the issue is gone.

See more on a similar issue here: https://github.com/thomasp85/ggraph/issues/10

ADD COMMENT

Login before adding your answer.

Traffic: 192 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6